/** @format */

import React, { createElement } from 'react';
import * as MuiIcons from '@mui/icons-material';

export const MuiIcon = ({ iconName }) => {
	try {
		return <>{createElement(MuiIcons[iconName])}</>;
	} catch {
		return <>{createElement(MuiIcons['BubbleChart'])}</>;
	}
};

export default MuiIcon;
